6.0.0-git
2021-01-18

[#5893] Birthdays with year 1900 won't save correctly
Summary Birthdays with year 1900 won't save correctly
Queue Turba
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester daviskingdom (at) gmail (dot) com
Created 2007-11-16 (4812 days ago)
Due
Updated 2007-11-23 (4805 days ago)
Assigned 2007-11-21 (4807 days ago)
Resolved 2007-11-23 (4805 days ago)
Milestone
Patch No

History
2007-11-23 14:09:19 Jan Schneider Comment #8
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Output with the default output specifier works fine too now.
2007-11-23 02:29:08 Jan Schneider Comment #7
Assigned to Jan Schneider
Reply to this comment
This is actually a bug in the Date package, due to limitiations for 
strftime() and mktime() implementations not properly working with 
dates outside the unix epoch, resp. before 1901-12-13.

This is partially fixed so that the dates can at least be saved now, 
if using the default birthday attribute. Displaying still doesn't work 
becase we use the %x specifier by default which is not implemented in 
my fixes yet. Note to myself: NLS::getLangInfo() provides the 
necessary information, at least on *nix systems.
2007-11-21 16:01:14 Jan Schneider Comment #6
Assigned to Horde DevelopersHorde Developers
Taken from Jan Schneider
State ⇒ Assigned
Reply to this comment
Oops, wrong ticket.
2007-11-21 15:57:43 Jan Schneider Comment #5
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
The common schema of these birthdays is that they are before 1970 on 
month with daylight saving time, and you are using PHP 4.

Fixed in CVS.
2007-11-19 01:37:34 Michael Rubinsky Comment #4 Reply to this comment
If you use the default attributes.php you won't even be able to enter
dates before 1900. If not, what did you change? Also, which PHP
version, database and OS do you use?
FWIW, I am showing the same issue, except that for me, it's birthdays 
in all of 1900 AND 1901.  Also, they are being interpreted as 1/1/1970.



This is with  latest HEAD, MySQL 4.1.something, PHP 5.2.2, checked on 
various linux installs.
2007-11-18 21:43:42 daviskingdom (at) gmail (dot) com Comment #3
New Attachment: attributes.php Download
Reply to this comment
If you use the default attributes.php you won't even be able to enter
dates before 1900. If not, what did you change? Also, which PHP
version, database and OS do you use?
I am not trying to enter dates BEFORE 1900 but ON 1900.



I did add some fields to the attributes.php - so perhaps it is 
something I did.  I've attached the file here if you're interested - 
but if dates of 1900 work in the HEAD then just let me know and I'll 
consider it a bug I created.



I assumed this was a bug in the HEAD that no one has caught yet.



BTW - I am running PHP 5.2.4+ on a Gentoo system on MySQL


2007-11-16 19:55:56 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
If you use the default attributes.php you won't even be able to enter 
dates before 1900. If not, what did you change? Also, which PHP 
version, database and OS do you use?
2007-11-16 15:11:01 daviskingdom (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Birthdays with year 1900 won't save correctly
Queue ⇒ Turba
Reply to this comment
I've begun entering birthdays of those I don't have the birthYEAR for 
as year 1900.  When I do that, the system saves the birthday as 
12/31/1969.



I tried 1901 with the same results but 1910 did work.  I didn't test 
1902-1909.



thanks,

Michael

Saved Queries